@import url('https://fonts.googleapis.com/css?family=Poppins&display=swap');

.blog-card {
    display: flex;
    flex-direction: column;
    border: 1px solid #eee;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    margin-bottom: 1.6%;
    background: #fff;
    line-height: 1.4;
    font-family: sans-serif;
    border-radius: 5px;
    overflow: hidden;
    z-index: 0;
}

.blog-card a {
    color: inherit;
}

.blog-card:hover .photo {
    transform: scale(1.3) rotate(3deg);
}

.blog-card .meta {
    position: relative;
    z-index: 0;
    height: 200px;
}

.blog-card .photo {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-size: cover;
    background-position: center;
    transition: transform 0.2s;
}

.blog-card .description {
    padding: 3rem;
    background: #fff;
    position: relative;
    z-index: 1;
    text-align: justify;
}

.blog-card .description h1, .blog-card .description h2 {
    font-family: Poppins, sans-serif;
}

.blog-card .description h1 {
    line-height: 1;
    margin: 0;
    font-size: 1.7rem;
    text-align: start;
}

.blog-card .description h2 {
    font-size: 1rem;
    font-weight: 300;
    text-transform: uppercase;
    color: #a2a2a2;
    margin-top: 5px;
}

.blog-card .description .read-more {
    margin-top: 1rem;
    text-align: right;
}

.blog-card .description .read-more a {
    color: #5ad67d;
    font-weight: 700;
    display: inline-block;
    position: relative;
    text-decoration: none;
}

.blog-card .description .read-more a:hover {
    color: #d65a5e;
}

.blog-card p {
    position: relative;
    margin: 1rem 0 0;
}

.description {
    flex-basis: 60%;
}

.map {
    width: 100%;
    height: 100%;
}

/*cuando el navegador tenga un ancho menor a 640px*/
@media (max-width: 640px) {
    .blog-card {
        flex-direction: column;
    }

    .map-container {
        display: none;
    }

    .map {
        display: none;
    }
}

@media (min-width: 640px) and (max-width: 992px) {
    .blog-card {
        flex-direction: row;
        max-width: 100%;
    }

    .blog-card .meta {
        flex-basis: 40%;
        height: auto;
    }

    .blog-card .description {
        flex-basis: 60%;
    }

    .map-container {
        display: none;
    }

    .map {
        display: none;
    }
}

@media (min-width: 992px) and (max-width: 1200px) {
    .blog-card {
        flex-direction: row;
        max-width: 100%;
    }

    .blog-card .meta {
        flex-basis: 40%;
        height: auto;
    }

    .blog-card .description {
        flex-basis: 60%;
    }

    .map-container {
        display: flex;
        width: calc(100% - 600px); /* Ancho del mapa = 100% del ancho disponible - ancho del sidebar */
    }
}

@media (min-width: 1200px) {
    .blog-card {
        flex-direction: row;
        max-width: 100%;
    }

    .blog-card .meta {
        flex-basis: 40%;
        height: auto;
    }

    .blog-card .description {
        flex-basis: 60%;
    }

    .map-container {
        display: flex;
        width: calc(100% - 700px); /* Ancho del mapa = 100% del ancho disponible - ancho del sidebar */
    }
}
